Bug 230129 - Add wpts for sin,cos,tan
Summary: Add wpts for sin,cos,tan
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nikos Mouchtaris
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-09-09 15:56 PDT by Nikos Mouchtaris
Modified: 2021-09-14 12:54 PDT (History)
11 users (show)

See Also:


Attachments
Patch (23.21 KB, patch)
2021-09-09 16:05 PDT, Nikos Mouchtaris
simon.fraser: review+
Details | Formatted Diff | Diff
sin,cos,tan wpts (20.19 KB, patch)
2021-09-14 00:03 PDT, Nikos Mouchtaris
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
sin,cos,tan wpts (20.19 KB, patch)
2021-09-14 09:47 PDT, Nikos Mouchtaris
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikos Mouchtaris 2021-09-09 15:56:40 PDT
Add wpts for sin,cos,tan
Comment 1 Nikos Mouchtaris 2021-09-09 16:05:23 PDT
Created attachment 437797 [details]
Patch
Comment 2 EWS Watchlist 2021-09-09 16:06:43 PDT
This patch modifies the imported WPT tests. Please ensure that any changes on the tests (not coming from a WPT import) are exported to WPT. Please see https://trac.webkit.org/wiki/WPTExportProcess
Comment 3 Simon Fraser (smfr) 2021-09-09 16:39:42 PDT
Comment on attachment 437797 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=437797&action=review

r+ on the tests

> Source/WebCore/css/calc/CSSCalcOperationNode.cpp:648
> +        if (calcOperationNode.isTrigNode() && depth)

This should be done separately.

> LayoutTests/imported/w3c/web-platform-tests/css/css-values/sin-cos-tan-computed.html:5
> +<link rel="author" title="Nikos Mouchtaris" href="mailto:nmouchtaris@apple.com">

You don't have to give your email. I think we can just say "Apple Inc" as the author.

> LayoutTests/imported/w3c/web-platform-tests/css/css-values/sin-cos-tan-invalid.html:5
> +<link rel="author" title="Xiaocheng Hu" href="mailto:xiaochengh@chromium.org">

That's not you!
Comment 4 Tim Nguyen (:ntim) 2021-09-10 03:01:57 PDT
Comment on attachment 437797 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=437797&action=review

> LayoutTests/imported/w3c/web-platform-tests/css/support/numeric-testcommon.js:106
> +        msg = `${testString} should be ${stage}-value-equivalent to ${expectedString} ssss`;

unintentional change?

> LayoutTests/imported/w3c/web-platform-tests/css/support/numeric-testcommon.js:129
> +    }, msg || `${testString} should be ${stage}-value-equivalent sss to ${expectedString}`);

same here

> LayoutTests/imported/w3c/web-platform-tests/css/support/numeric-testcommon.js:190
> +            let parsedUsed = usedValue.split('(')[1].split(')')[0].split(',').map(parseFloat);
> +            let parsedExpected = expectedValue.split('(')[1].split(')')[0].split(',').map(parseFloat);

A regex + string.prototype.match() -> https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String/match might be cleaner IMO.

I usually use this site to figure them out: https://regexr.com
Comment 5 Nikos Mouchtaris 2021-09-14 00:03:59 PDT
Created attachment 438107 [details]
sin,cos,tan wpts
Comment 6 Nikos Mouchtaris 2021-09-14 09:47:32 PDT
Created attachment 438151 [details]
sin,cos,tan wpts
Comment 7 EWS 2021-09-14 12:53:53 PDT
Committed r282402 (241663@main): <https://commits.webkit.org/241663@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 438151 [details].
Comment 8 Radar WebKit Bug Importer 2021-09-14 12:54:17 PDT
<rdar://problem/83112963>